bats: upgraded package to upstream

Upgraded dev-util/bats to version 1.9.0 on amd64, arm64. This package is
required as a runtime dependency for app-containers/runc-test package. Updated using cros_portage_upgrade tool.

BUG=b/276922532
TEST=presubmit
RELEASE_NOTE=Added dev-util/bats v1.9.0

Change-Id: I15be5c878471f5c54c95e1f0227e633fc12e3552
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/46688
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
Reviewed-by: Robert Kolchmeyer <rkolchmeyer@google.com>
diff --git a/dev-util/bats/Manifest b/dev-util/bats/Manifest
new file mode 100644
index 0000000..9fab3fa
--- /dev/null
+++ b/dev-util/bats/Manifest
@@ -0,0 +1,2 @@
+DIST bats-1.8.2.tar.gz 143952 BLAKE2B 0c2302f2c77f5ee0446a6559355d24fae8bb2f178b5b17778fea44ec2f069c061c2930814f73e56671bf6f7cea44a74cea9b6436ca80941a1747197ccddcec02 SHA512 7eace32f19789e081112af1ce8ab33ff210d52bd3ea84962bbec226349b3b8d8912b6a495f5524f9cc7cfe692f1d23d684c93c24e182752e2b30731670d6eeea
+DIST bats-1.9.0.tar.gz 151817 BLAKE2B 33ff5ec2b89a1605de2b838f3e6f68c1fc4dc15b6617fe001e87c387ccc4013d643b697fbbc7358950aaae556b36a614baa0ae8b38865d7428b3d8ee544516fa SHA512 743a1b3907c3a24eccd5d6fbfbdea3aec472ecf2b5c8cdd428d9dff8daa7f029ec30a2873f1beec2d758173e6f5ec892c03623dc70e56d73665c83343c9808fd
diff --git a/dev-util/bats/bats-1.9.0.ebuild b/dev-util/bats/bats-1.9.0.ebuild
new file mode 100644
index 0000000..afb0eff
--- /dev/null
+++ b/dev-util/bats/bats-1.9.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multiprocessing optfeature
+
+MY_PN="bats-core"
+DESCRIPTION="Bats-core: Bash Automated Testing System"
+HOMEPAGE="https://github.com/bats-core/bats-core/"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="*"
+
+DEPEND="app-shells/bash:*"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_test() {
+	local my_jobs=$(get_nproc)
+	if ! command -v parallel >/dev/null; then
+		my_jobs=1
+	fi
+	bin/bats --tap --jobs "${my_jobs}" test || die "Tests failed"
+}
+
+src_install() {
+	exeinto /usr/libexec/${MY_PN}
+	doexe libexec/${MY_PN}/*
+	exeinto /usr/lib/${MY_PN}
+	doexe lib/${MY_PN}/*
+	dobin bin/${PN}
+
+	dodoc README.md
+	doman man/${PN}.1 man/${PN}.7
+}
+
+pkg_postinst() {
+	optfeature "Parallel Execution" sys-process/parallel
+}
diff --git a/dev-util/bats/metadata.xml b/dev-util/bats/metadata.xml
new file mode 100644
index 0000000..9e47120
--- /dev/null
+++ b/dev-util/bats/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person" proxied="yes">
+		<email>henning@hennsch.de</email>
+		<name>Henning Schild</name>
+	</maintainer>
+	<maintainer type="project" proxied="proxy">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<stabilize-allarches/>
+	<upstream>
+		<remote-id type="github">bats-core/bats-core</remote-id>
+	</upstream>
+	<longdescription lang="en">
+		Bats is a TAP-compliant testing framework for Bash. It provides a simple
+		way to verify that the UNIX programs you write behave as expected.
+
+		A Bats test file is a Bash script with special syntax for defining test
+		cases. Under the hood, each test case is just a function with a description.
+
+		Bats is most useful when testing software written in Bash, but you can use
+		it to test any UNIX program.
+	</longdescription>
+</pkgmetadata>